.calendarContainer {
    position: relative;
    width: 100%;
    border-radius: 24px;
    background-color: #FFF;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-shadow: 21px 21px 59px 0px rgba(4, 4, 4, 0.10);

    .loading-container {
        position: relative;
        min-height: 400px;
        display: flex;
        width: 100%;
        align-items: center;
        justify-content: center;
        //border: 1px solid #E2E5F2;
        box-shadow: inset 0px 0px 0px 1px #E2E5F2;
        border-radius: 0 0 24px 24px;
    }

    .datePicker {
        border-radius: 24px 24px 0 0;
        //border: 1px solid #E2E5F2;
        box-shadow: inset 0px 0px 0px 1px #E2E5F2;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px;

        .datePickerContent {
            width: 160px;

            [class~="rs-picker-toggle"] {
                padding-top: 8px;
                padding-bottom: 8px;
                border-radius: 10px;
                --rs-input-focus-border: transparent;
                --rs-input-active-border: transparent;
                --rs-border-primary: transparent;
                --rs-state-focus-shadow: transparent;
                --rs-input-bg: #F4F7FC;
            }
            *:not(svg):not(path) {
                font-size: 20px;
                font-weight: 700;
                color: #202226;
            }
            svg {
                height: 16px;
                width: auto;

                path {
                    fill: #F2BFB5;
                }
            }
        }

        .actionFilter {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;

            [class~="rs-checkbox-checker"] {
                padding-top: 0;
                padding-bottom: 0;
                padding-left: 36px;
                min-height: 20px;
                line-height: 1;
                position: relative;

                span {
                    height: 20px;
                    width: 20px;
                    top: -1px;

                    &:before {
                        --rs-checkbox-checked-bg: #FF6500;
                        cursor: pointer;
                        height: 20px;
                        width: 20px;
                    }
                }
            }

            [class~="rs-checkbox-inner"] {
                &:after {
                    margin-top: 5px;
                    margin-left: 7px;
                    --rs-checkbox-icon: #FF6500;
                }

                &:before {
                    background-color: #FFF
                }
            }

            .text {
                color: #000;
                font-size: 15px;
                font-weight: 500;
                line-height: 20px;
                cursor: pointer;
            }
        }
    }
    .calendarWrapper {
        border-top: none;
        border-right: 1px solid #E2E5F2;
        border-bottom: 1px solid #E2E5F2;
        border-left: none;
        width: 100%;

        [class~="rc-picker-header"] {
            display: none;
        }

        table {
            width: 100%;

            thead {
                tr {
                    height: 50px;
                    background: #F4F7FC;
                    border-left: 1px solid #E2E5F2;

                    th {
                        width: calc(100% / 7);
                        color: #202226;
                        text-align: center;
                        font-feature-settings: 'clig' off, 'liga' off;
                        font-size: 15px;
                        font-weight: 700;
                        line-height: 22px;
                        letter-spacing: -0.2px;
                    }
                }
            }

            [class~="rc-picker-cell"] {
                background-color: #FFF;
                border-top: 1px solid #E2E5F2;
                border-left: 1px solid #E2E5F2;
                //box-shadow: inset 0px 0px 0px 0.5px #E2E5F2;

                font-size: 20px;
                font-weight: 600;
                line-height: 30px;
                color: #E2E5F2;

            }
            [class~="rc-picker-cell-in-view"] {
                color: #202226;
                cursor: pointer;

                &:hover:not([class~="rc-picker-cell-today"]) {
                    //border: 1px solid #F08080;
                    //box-shadow: inset 0px 0px 0px 1px #F08080;
                    background-color: #F7F7FC;

                    span {
                        color: #7C68EE;
                    }
                }
            }

            [class~="rc-picker-cell-today"] {
                //border: 1px solid #F08080;
                box-shadow: inset 0px 0px 0px 1px #F08080;
                background-color: #FFF4F4;
            }
        }
    }
}

.cellDate {
    height: 140px;
    width: 100%;
    padding: 16px 10px;
    display: flex;
    gap: 10px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;

    .contentDate {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 40px;
        width: 40px;
    }

    .countSchedules {
        width: 100%;
        border-radius: 4px;
        background: #EEEAFF;
        display: flex;
        justify-content: flex-start;
        padding: 5px;
        visibility: visible;

        &.hiddenText {
            visibility: hidden;
        }

        span {
            color: #6450BE;
            font-size: 15px;
            font-weight: 500;
            line-height: 22px;
        }

    }

    &.todayCellDate {

        .contentDate {
            border-radius: 10px;
            background-color: #ED3902;

            span {
                display: block;
                color: #FFF;
            }
        }
    }
}